Add-Type -AssemblyName Microsoft.VisualBasic

$iniFile = "$pwd\syncpictures.ini"

if (test-path $iniFile) {
    $paras=get-content $iniFile
    foreach ($para in $paras) {
        if (-not ($para -eq "")) {
            Invoke-Expression $para
        }
    }

    $year = [Microsoft.VisualBasic.Interaction]::InputBox("Jahreszahl fr die Synchronisation eines Jahresordners oder ALLE fr die Synchronisation aller Bilder eingeben", "Sync-Pictures", "")


    if ( $year.toupper() -eq "") {
    } 
    elseif ( $year.toupper() -eq "ALLE") {
        write-host "Alle Verzeichnisse werden synchronisiert..."
        $command = "$pwd\Sync-Pictures.ps1 -SourceDir $source -TargetDir $target -mode both -filter $filter -xres $xres -yres $yres -mindelta $mindelta" 
        write-Host $command
        invoke-expression -command $command
    }
    else {
        $Source = $source+"\"+$year
        $Target = $target+"\"+$year
        write-host "Bilder aus ""$source"" werden synchronisiert..."
        $command = "$pwd\Sync-Pictures.ps1 -SourceDir $source -TargetDir $target -mode both -filter $filter -xres $xres -yres $yres -mindelta $mindelta -all"
        write-Host $command
        invoke-expression -command $command
    }
}
else {
    write-host "Could not find INI-File: $iniFile"
}
pause